FreeBSD : krb5 -- MITKRB5-SA-2011-004, kadmind invalid pointer free() [CVE-2011-0285] (6a3c3e5c-66cb-11e0-a116-c535f3aa24f0)

Critical Nessus Plugin ID 53442


The remote FreeBSD host is missing one or more security-related updates.


An advisory published by the MIT Kerberos team says :

The password-changing capability of the MIT krb5 administration daemon (kadmind) has a bug that can cause it to attempt to free() an invalid pointer under certain error conditions. This can cause the daemon to crash or induce the execution of arbitrary code (which is believed to be difficult). No exploit that executes arbitrary code is known to exist, but it is easy to trigger a denial of service manually.

Some platforms detect attempted freeing of invalid pointers and protectively terminate the process, preventing arbitrary code execution on those platforms.


Update the affected packages.

See Also

Plugin Details

Severity: Critical

ID: 53442

File Name: freebsd_pkg_6a3c3e5c66cb11e0a116c535f3aa24f0.nasl

Version: $Revision: 1.6 $

Type: local

Published: 2011/04/15

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:krb5, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2011/04/14

Vulnerability Publication Date: 2011/04/12

Reference Information

CVE: CVE-2011-0285